DOM::HTMLTableElement Class Reference

`#include <html_table.h>`

Inheritance diagram for DOM::HTMLTableElement:

## Public Member Functions

| HTMLTableElement (const HTMLTableElement &other)
| HTMLTableElement (const Node &other)
HTMLTableElement & | operator= (const HTMLTableElement &other)
HTMLTableElement & | operator= (const Node &other)
HTMLTableCaptionElement | caption () const
void | setCaption (const HTMLTableCaptionElement &)
HTMLTableSectionElement | tHead () const
void | setTHead (const HTMLTableSectionElement &)
HTMLTableSectionElement | tFoot () const
void | setTFoot (const HTMLTableSectionElement &)
HTMLCollection | rows () const
HTMLCollection | tBodies () const
DOMString | align () const
void | setAlign (const DOMString &)
DOMString | bgColor () const
void | setBgColor (const DOMString &)
DOMString | border () const
void | setBorder (const DOMString &)
DOMString | cellPadding () const
void | setCellPadding (const DOMString &)
DOMString | cellSpacing () const
void | setCellSpacing (const DOMString &)
DOMString | frame () const
void | setFrame (const DOMString &)
DOMString | rules () const
void | setRules (const DOMString &)
DOMString | summary () const
void | setSummary (const DOMString &)
DOMString | width () const
void | setWidth (const DOMString &)
HTMLElement | createTHead ()
void | deleteTHead ()
HTMLElement | createTFoot ()
void | deleteTFoot ()
HTMLElement | createCaption ()
void | deleteCaption ()
HTMLElement | insertRow (long index)
void | deleteRow (long index)
Public Member Functions inherited from DOM::HTMLElement
| HTMLElement (const HTMLElement &other)
| HTMLElement (const Node &other)
HTMLElement & | operator= (const HTMLElement &other)
HTMLElement & | operator= (const Node &other)
DOMString | id () const
void | setId (const DOMString &)
DOMString | title () const
void | setTitle (const DOMString &)
DOMString | lang () const
void | setLang (const DOMString &)
DOMString | dir () const
void | setDir (const DOMString &)
DOMString | className () const
void | setClassName (const DOMString &)
DOMString | innerHTML () const
void | setInnerHTML (const DOMString &html)
DOMString | innerText () const
void | setInnerText (const DOMString &text)
HTMLCollection | children () const
HTMLCollection | all () const
void | removeCSSProperty (const DOMString &property)
void | addCSSProperty (const DOMString &property, const DOMString &value)
Public Member Functions inherited from DOM::Element
| Element (const Node &other)
| Element (const Element &other)
Element & | operator= (const Node &other)
Element & | operator= (const Element &other)
DOMString | tagName () const
DOMString | getAttribute (const DOMString &name)
void | setAttribute (const DOMString &name, const DOMString &value)
void | removeAttribute (const DOMString &name)
Attr | getAttributeNode (const DOMString &name)
Attr | setAttributeNode (const Attr &newAttr)
Attr | removeAttributeNode (const Attr &oldAttr)
NodeList | getElementsByTagName (const DOMString &name)
NodeList | getElementsByTagNameNS (const DOMString &namespaceURI, const DOMString &localName)
DOMString | getAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
void | setAttributeNS (const DOMString &namespaceURI, const DOMString &qualifiedName, const DOMString &value)
void | removeAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | getAttributeNodeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | setAttributeNodeNS (const Attr &newAttr)
bool | hasAttribute (const DOMString &name)
bool | hasAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
CSSStyleDeclaration | style ()
bool | contentEditable () const
void | setContentEditable (bool enabled)
bool | isHTMLElement () const
Element | form () const
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| HTMLTableElement (HTMLTableElementImpl *impl)
Protected Member Functions inherited from DOM::HTMLElement
| HTMLElement (HTMLElementImpl *impl)
void | assignOther (const Node &other, int elementId)
Protected Member Functions inherited from DOM::Element
| Element (ElementImpl *_impl)

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Static Public Member Functions inherited from DOM::Element
static bool | khtmlValidAttrName (const DOMString &name)
static bool | khtmlValidPrefix (const DOMString &name)
static bool | khtmlValidQualifiedName (const DOMString &name)
static bool | khtmlMalformedQualifiedName (const DOMString &name)
static bool | khtmlMalformedPrefix (const DOMString &name)
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

The create* and delete* methods on the table allow authors to construct and modify tables.

HTML 4.0 specifies that only one of each of the `CAPTION` , `THEAD` , and `TFOOT` elements may exist in a table. Therefore, if one exists, and the createTHead() or createTFoot() method is called, the method returns the existing THead or TFoot element. See the TABLE element definition in HTML 4.0.

Definition at line 441 of file html_table.h.

## Member Function Documentation

DOMString HTMLTableElement::align | ( |  | ) | const

Specifies the table's position with respect to the rest of the document.

See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 471 of file html_table.cpp.

DOMString HTMLTableElement::bgColor | ( |  | ) | const

Cell background color.

See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 482 of file html_table.cpp.

DOMString HTMLTableElement::border | ( |  | ) | const

The width of the border around the table.

See the border attribute definition in HTML 4.0.

Definition at line 493 of file html_table.cpp.

HTMLTableCaptionElement HTMLTableElement::caption | ( |  | ) | const

Returns the table's `CAPTION` , or void if none exists.

Definition at line 418 of file html_table.cpp.

DOMString HTMLTableElement::cellPadding | ( |  | ) | const

Specifies the horizontal and vertical space between cell content and cell borders.

See the cellpadding attribute definition in HTML 4.0.

Definition at line 504 of file html_table.cpp.

DOMString HTMLTableElement::cellSpacing | ( |  | ) | const

Specifies the horizontal and vertical separation between cells.

See the cellspacing attribute definition in HTML 4.0.

Definition at line 515 of file html_table.cpp.

HTMLElement HTMLTableElement::createCaption | ( |  | ) |

Create a new table caption object or return an existing one.

Returns
  A `CAPTION` element.

Definition at line 594 of file html_table.cpp.

HTMLElement HTMLTableElement::createTFoot | ( |  | ) |

Create a table footer row or return an existing one.

Returns
  A footer element ( `TFOOT` ).

Definition at line 582 of file html_table.cpp.

HTMLElement HTMLTableElement::createTHead | ( |  | ) |

Create a table header row or return an existing one.

Returns
  A new table header element ( `THEAD` ).

Definition at line 570 of file html_table.cpp.

void HTMLTableElement::deleteCaption | ( |  | ) |

Delete the table caption, if one exists.

Returns

Definition at line 600 of file html_table.cpp.

void HTMLTableElement::deleteRow | ( | long | index | ) |

Delete a table row.

Parameters

  index | The index of the row to be deleted. This index starts from 0 and is relative to the logical order (not document order) of all the rows contained inside the table. If the index is -1 the last row in the table is deleted.

Returns

Definition at line 616 of file html_table.cpp.

void HTMLTableElement::deleteTFoot | ( |  | ) |

Delete the footer from the table, if one exists.

Returns

Definition at line 588 of file html_table.cpp.

void HTMLTableElement::deleteTHead | ( |  | ) |

Delete the header from the table, if one exists.

Returns

Definition at line 576 of file html_table.cpp.

DOMString HTMLTableElement::frame | ( |  | ) | const

Specifies which external table borders to render.

See the frame attribute definition in HTML 4.0.

Definition at line 526 of file html_table.cpp.

HTMLElement HTMLTableElement::insertRow | ( | long | index | ) |

Insert a new empty row in the table.

The new row is inserted immediately before and in the same section as the current indexth row in the table. If index is -1 or equal to the number of rows, the new row is appended. In addition, when the table is empty the row is inserted into a TBODY which is created and inserted into the table. Note. A table row cannot be empty according to HTML 4.0 Recommendation.

Parameters

  index | The row number where to insert a new row. The index starts from 0 and is relative to the logical order (not document order) of all the rows contained inside the table.

Returns
  The newly created row.

Definition at line 606 of file html_table.cpp.

HTMLCollection HTMLTableElement::rows | ( |  | ) | const

Returns a collection of all the rows in the table, including all in `THEAD` , `TFOOT` , all `TBODY` elements.

Definition at line 459 of file html_table.cpp.

DOMString HTMLTableElement::rules | ( |  | ) | const

Specifies which internal table borders to render.

See the rules attribute definition in HTML 4.0.

Definition at line 537 of file html_table.cpp.

void HTMLTableElement::setAlign | ( | const DOMString & | value | ) |

see align

Definition at line 477 of file html_table.cpp.

void HTMLTableElement::setBgColor | ( | const DOMString & | value | ) |

see bgColor

Definition at line 488 of file html_table.cpp.

void HTMLTableElement::setBorder | ( | const DOMString & | value | ) |

see border

Definition at line 499 of file html_table.cpp.

void HTMLTableElement::setCaption | ( | const HTMLTableCaptionElement & | _caption | ) |

see caption

Definition at line 424 of file html_table.cpp.

void HTMLTableElement::setCellPadding | ( | const DOMString & | value | ) |

see cellPadding

Definition at line 510 of file html_table.cpp.

void HTMLTableElement::setCellSpacing | ( | const DOMString & | value | ) |

see cellSpacing

Definition at line 521 of file html_table.cpp.

void HTMLTableElement::setFrame | ( | const DOMString & | value | ) |

see frame

Definition at line 532 of file html_table.cpp.

void HTMLTableElement::setRules | ( | const DOMString & | value | ) |

see rules

Definition at line 543 of file html_table.cpp.

void HTMLTableElement::setSummary | ( | const DOMString & | value | ) |

see summary

Definition at line 554 of file html_table.cpp.

void HTMLTableElement::setTFoot | ( | const HTMLTableSectionElement & | _tFoot | ) |

see tFoot

Definition at line 451 of file html_table.cpp.

void HTMLTableElement::setTHead | ( | const HTMLTableSectionElement & | _tHead | ) |

see tHead

Definition at line 437 of file html_table.cpp.

void HTMLTableElement::setWidth | ( | const DOMString & | value | ) |

see width

Definition at line 565 of file html_table.cpp.

DOMString HTMLTableElement::summary | ( |  | ) | const

Supplementary description about the purpose or structure of a table.

See the summary attribute definition in HTML 4.0.

Definition at line 548 of file html_table.cpp.

HTMLCollection HTMLTableElement::tBodies | ( |  | ) | const

Returns a collection of the table bodies (including implicit ones).

Definition at line 465 of file html_table.cpp.

HTMLTableSectionElement HTMLTableElement::tFoot | ( |  | ) | const

Returns the table's `TFOOT` , or `null` if none exists.

Definition at line 445 of file html_table.cpp.

HTMLTableSectionElement HTMLTableElement::tHead | ( |  | ) | const

Returns the table's `THEAD` , or `null` if none exists.

Definition at line 431 of file html_table.cpp.

DOMString HTMLTableElement::width | ( |  | ) | const

Specifies the desired table width.

See the width attribute definition in HTML 4.0.

Definition at line 559 of file html_table.cpp.

The documentation for this class was generated from the following files:

- html_table.h
- html_table.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys